/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.cg.valueobject;

/**
 * 戻り値を表現するためのバリューオブジェクト。<br>
 * なお、メソッドの戻り値がvoidである場合には、設定する必要はありません。
 */
public class BlancoCgReturn {
    /**
     * フィールド [description]
     *
     * 項目の型 [java.lang.String]<br>
     * この戻り値の説明です。
     */
    private String fDescription;

    /**
     * フィールド [type]
     *
     * 項目の型 [blanco.cg.valueobject.BlancoCgType]<br>
     * この戻り値の型です。java.lang.Stringなどを指定します。
     */
    private BlancoCgType fType;

    /**
     * フィールド [description]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * この戻り値の説明です。
     *
     * @param argDescription フィールド[description]に格納したい値
     */
    public void setDescription(final String argDescription) {
        fDescription = argDescription;
    }

    /**
     * フィールド[description]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * この戻り値の説明です。
     *
     * @return フィールド[description]に格納されている値
     */
    public String getDescription() {
        return fDescription;
    }

    /**
     * フィールド [type]のセッターメソッド
     *
     * 項目の型 [blanco.cg.valueobject.BlancoCgType]<br>
     * この戻り値の型です。java.lang.Stringなどを指定します。
     *
     * @param argType フィールド[type]に格納したい値
     */
    public void setType(final BlancoCgType argType) {
        fType = argType;
    }

    /**
     * フィールド[type]のゲッターメソッド
     *
     * 項目の型 [blanco.cg.valueobject.BlancoCgType]<br>
     * この戻り値の型です。java.lang.Stringなどを指定します。
     *
     * @return フィールド[type]に格納されている値
     */
    public BlancoCgType getType() {
        return fType;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.cg.valueobject.BlancoCgReturn[");
        buf.append("description=" + fDescription);
        buf.append(",type=" + fType);
        buf.append("]");
        return buf.toString();
    }
}
